//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "SHDocVw_OCX.h"
#include <ComCtrls.hpp>
#include <OleCtrls.hpp>
#include <Dialogs.hpp>
#include <Menus.hpp>
#include "StringTransformer.hpp"
#include <ToolWin.hpp>
#include "CustomTransformer.hpp"
#include "TetraTree.hpp"
#include <ExtCtrls.hpp>
#include "MemoTransformer.hpp"

//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// Von der IDE verwaltete Komponenten
 TPageControl *PageControl1;
 TTabSheet *ts_Edit;
 TTabSheet *ts_View;
 TMemo *Memo1;
 TCppWebBrowser *CppWebBrowser1;
 TMainMenu *MainMenu1;
 TOpenDialog *OpenDialog1;
 TSaveDialog *SaveDialog1;
 TMenuItem *mni_File;
 TMenuItem *mi_OpenFile;
        TMenuItem *mi_OpenProject;
 TMenuItem *N1;
 TMenuItem *mi_FileTransformerN2N;
 TMenuItem *mi_SaveFile;
 TMenuItem *N2;
 TMenuItem *mi_FileTransformerN21;
 TTabSheet *ts_Html;
 TMemo *Memo2;
 TStatusBar *StatusBar1;
 TTabSheet *ts_Tree;
 TTreeView *TreeView1;
 TTextTreeViewTransformer *TextTreeViewTransformer1;
 TPopupMenu *PopupMenu1;
 TMenuItem *pmi_Expand;
 TMenuItem *pmi_Collapse;
 TPanel *Panel1;
 TEdit *edt_Token;
 TComboBox *ComboBox1;
 TLabel *Label1;
 TLabel *Label2;
 TOpenDialog *OpenDialog2;
 TMemoTextTransformer *MemoTextTransformer1;
 void __fastcall FormCreate(TObject *Sender);
 void __fastcall PageControl1Change(TObject *Sender);
 void __fastcall mi_OpenFileClick(TObject *Sender);
 void __fastcall mi_OpenProjectClick(TObject *Sender);
 void __fastcall mi_FileTransformerN2NClick(TObject *Sender);
 void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
 void __fastcall mi_FileTransformerN21Click(TObject *Sender);
 void __fastcall mi_SaveFileClick(TObject *Sender);
 void __fastcall CppWebBrowser1BeforeNavigate2(TObject *Sender,
          LPDISPATCH pDisp, Variant *URL, Variant *Flags,
          Variant *TargetFrameName, Variant *PostData, Variant *Headers,
          VARIANT_BOOL *Cancel);
 void __fastcall pmi_ExpandClick(TObject *Sender);
 void __fastcall pmi_CollapseClick(TObject *Sender);
 void __fastcall TreeView1Click(TObject *Sender);
 void __fastcall MemoTextTransformer1Exception(TObject *Sender,
    AnsiString xasWhat);
 void __fastcall MemoTextTransformer1ParserMessage(TObject *Sender,
    AnsiString xasWhat, DWORD xlwLastPosition, DWORD xlwPosition,
    const AnsiString xasProduction, const AnsiString xasSymbol,
    eParserMessage xeMessageType, DWORD xlw);
 void __fastcall ComboBox1Change(TObject *Sender);
        void __fastcall FormShow(TObject *Sender);
private:	// Anwender-Deklarationen

 bool     m_bAllowNavigate;

 void __fastcall SetProject(AnsiString xasProject);
 bool __fastcall Execute(TCustomTextTransformer* xpTransformer);
 void OpenFile(AnsiString xFilename );
public:		// Anwender-Deklarationen
 __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
